
/****************************************************************************
 Title	:   Header file for the DELAY FUNCTIONS library (delay.h)
 Author:    Chris efstathiou hendrix@otenet.gr
 Date:	    26/Oct/2002
 Software:  AVR-GCC with AVR-AS
 Target:    any AVR device
 Comments:  This software is FREE.
 
 Modified for AWC APP4 by Al Williams alw@al-williams.com

*****************************************************************************/


#ifndef DELAY_H
#define DELAY_H	1

/*    Set Frequency here */
#ifndef  F_CPU
#define  F_CPU		  10000000   /* The cpu clock frequency in Hertz */
#endif


/* MUST USE A LONG FOR COUNTING TO BE ACCURATE  */
#define TIME_L1_MS    ( 1*(F_CPU/6000) )    
#define TIME_S1_MS    ( 1*(F_CPU/4000) ) 

#define delay_ms(ms)  delay_long((TIME_L1_MS*ms))
#define delay_us(us)  delay_short( ((TIME_S1_MS*us)/1000) )

extern void delay_char(unsigned char number_of_loops);
extern void delay_short(unsigned short number_of_loops);
extern void delay_long(unsigned long number_of_loops);  

#endif



 
